Scheduling
Schedulers, tasks and the jobs they produce.
22 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the jobs
/api/v1/scheduling/jobs
Query parameters
-
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 50 Min: 1 Max: 50 -
resource_typestringWhich side resource_id matches.Allowed: origin, target -
task_statusstringOnly jobs in this state.Allowed: queued, running, canceled, succeeded, failed -
task_typestringOnly jobs of this task type.Allowed: backup, sync, restore, check, prune, rm -
task_idstring<uuid>Only jobs of this task. -
resource_idstring<uuid>Only jobs touching this connector. -
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
itemsarray[object]-
created_atstring<date-time> -
errorstring nullable -
idstring<uuid> -
schedule_atstring<date-time> -
schedule_idstring<uuid> -
started_atstring<date-time> nullable -
statusstring -
stopped_atstring<date-time> nullable -
taskobject-
config -
created_atstring<date-time> -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_actorstring nullable -
scheduler_idstring<uuid> -
scheduler_revisioninteger -
sla_templateobject nullable-
idstring<uuid> -
namestring -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
-
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time>
-
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/jobs' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"created_at": "2026-01-01T00:00:00Z",
"error": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"schedule_at": "2026-01-01T00:00:00Z",
"schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"started_at": "2026-01-01T00:00:00Z",
"status": "string",
"stopped_at": "2026-01-01T00:00:00Z",
"task": {
"config": {},
"created_at": "2026-01-01T00:00:00Z",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"schedule": {
"concurrency": 0,
"enabled": true,
"miss_strategy": "string",
"priority": 0,
"rules": [
{
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"jitter": 0,
"journalized": true,
"periodicity": 0,
"start": "2026-01-01T00:00:00Z"
}
]
},
"scheduler_actor": "string",
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"sla_template": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
},
"target": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
}
],
"total": 0
}Get the log of a job
/api/v1/scheduling/jobs/{job_id}/log
Path parameters
-
job_idstring<uuid> requiredJob ID, as listed by GET /scheduling/jobs.
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 The job log text/plain
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/jobs/{job_id}/log' \
-H 'Authorization: Bearer <badge>'Get the state of a job
/api/v1/scheduling/jobs/{job_id}/state
Path parameters
-
job_idstring<uuid> requiredJob ID, as listed by GET /scheduling/jobs.
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
chunksobject-
cachedintegerMax: 1.8446744073709552e+19 -
cached_sizeintegerMax: 1.8446744073709552e+19 -
errorintegerMax: 1.8446744073709552e+19 -
okintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
totalintegerMax: 1.8446744073709552e+19
-
-
dirsobject-
cachedintegerMax: 1.8446744073709552e+19 -
cached_sizeintegerMax: 1.8446744073709552e+19 -
errorintegerMax: 1.8446744073709552e+19 -
okintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
totalintegerMax: 1.8446744073709552e+19
-
-
filesobject-
cachedintegerMax: 1.8446744073709552e+19 -
cached_sizeintegerMax: 1.8446744073709552e+19 -
errorintegerMax: 1.8446744073709552e+19 -
okintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
totalintegerMax: 1.8446744073709552e+19
-
-
iomap[object]-
robject-
latencyobject-
avginteger<int64> -
countinteger<int64> -
maxinteger<int64> -
p50integer<int64> -
p95integer<int64>
-
-
overallnumber<double> -
overall_wallnumber<double> -
totalinteger<int64>
-
-
wobject-
latencyobject-
avginteger<int64> -
countinteger<int64> -
maxinteger<int64> -
p50integer<int64> -
p95integer<int64>
-
-
overallnumber<double> -
overall_wallnumber<double> -
totalinteger<int64>
-
-
-
latencyarray[object]-
atinteger<int64> -
avginteger<int64> -
countinteger<int64> -
maxinteger<int64> -
p50integer<int64> -
p95integer<int64>
-
-
networkarray[object]-
atinteger<int64> -
read_bpsnumber<double> -
write_bpsnumber<double>
-
-
num_cpuinteger -
objectsobject-
cachedintegerMax: 1.8446744073709552e+19 -
cached_sizeintegerMax: 1.8446744073709552e+19 -
errorintegerMax: 1.8446744073709552e+19 -
okintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
totalintegerMax: 1.8446744073709552e+19
-
-
pathsobject-
cachedintegerMax: 1.8446744073709552e+19 -
cached_sizeintegerMax: 1.8446744073709552e+19 -
errorintegerMax: 1.8446744073709552e+19 -
okintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
totalintegerMax: 1.8446744073709552e+19
-
-
phasestring -
processedobject-
bytesintegerMax: 1.8446744073709552e+19 -
itemsintegerMax: 1.8446744073709552e+19
-
-
recent_pathsarray[object]-
pathstring -
statusstring
-
-
resourcesarray[object]-
atinteger<int64> -
cpu_percentnumber<double> -
memory_bytesintegerMax: 1.8446744073709552e+19
-
-
resultobject-
durationnumber<double> -
errorsintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19
-
-
snapshot_idstring -
summaryobject-
directoriesintegerMax: 1.8446744073709552e+19 -
existsboolean -
filesintegerMax: 1.8446744073709552e+19 -
pathsintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
symlinksintegerMax: 1.8446744073709552e+19 -
xattrsintegerMax: 1.8446744073709552e+19
-
-
symlinksobject-
cachedintegerMax: 1.8446744073709552e+19 -
cached_sizeintegerMax: 1.8446744073709552e+19 -
errorintegerMax: 1.8446744073709552e+19 -
okintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
totalintegerMax: 1.8446744073709552e+19
-
-
versionstring -
xattrsobject-
cachedintegerMax: 1.8446744073709552e+19 -
cached_sizeintegerMax: 1.8446744073709552e+19 -
errorintegerMax: 1.8446744073709552e+19 -
okintegerMax: 1.8446744073709552e+19 -
sizeintegerMax: 1.8446744073709552e+19 -
totalintegerMax: 1.8446744073709552e+19
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/jobs/{job_id}/state' \
-H 'Authorization: Bearer <badge>'Response 200
{
"chunks": {
"cached": 0,
"cached_size": 0,
"error": 0,
"ok": 0,
"size": 0,
"total": 0
},
"dirs": {
"cached": 0,
"cached_size": 0,
"error": 0,
"ok": 0,
"size": 0,
"total": 0
},
"files": {
"cached": 0,
"cached_size": 0,
"error": 0,
"ok": 0,
"size": 0,
"total": 0
},
"io": {
"key": {
"r": {
"latency": {
"avg": 0,
"count": 0,
"max": 0,
"p50": 0,
"p95": 0
},
"overall": 0,
"overall_wall": 0,
"total": 0
},
"w": {
"latency": {
"avg": 0,
"count": 0,
"max": 0,
"p50": 0,
"p95": 0
},
"overall": 0,
"overall_wall": 0,
"total": 0
}
}
},
"latency": [
{
"at": 0,
"avg": 0,
"count": 0,
"max": 0,
"p50": 0,
"p95": 0
}
],
"network": [
{
"at": 0,
"read_bps": 0,
"write_bps": 0
}
],
"num_cpu": 0,
"objects": {
"cached": 0,
"cached_size": 0,
"error": 0,
"ok": 0,
"size": 0,
"total": 0
},
"paths": {
"cached": 0,
"cached_size": 0,
"error": 0,
"ok": 0,
"size": 0,
"total": 0
},
"phase": "string",
"processed": {
"bytes": 0,
"items": 0
},
"recent_paths": [
{
"path": "string",
"status": "string"
}
],
"resources": [
{
"at": 0,
"cpu_percent": 0,
"memory_bytes": 0
}
],
"result": {
"duration": 0,
"errors": 0,
"size": 0
},
"snapshot_id": "string",
"summary": {
"directories": 0,
"exists": true,
"files": 0,
"paths": 0,
"size": 0,
"symlinks": 0,
"xattrs": 0
},
"symlinks": {
"cached": 0,
"cached_size": 0,
"error": 0,
"ok": 0,
"size": 0,
"total": 0
},
"version": "string",
"xattrs": {
"cached": 0,
"cached_size": 0,
"error": 0,
"ok": 0,
"size": 0,
"total": 0
}
}Get a scheduler
/api/v1/scheduling/scheduler
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
revisionintegerRevision to load. 0 is the current one.Default: 0 -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
actorstring -
created_atstring<date-time> -
descriptionstring -
enabledboolean -
idstring<uuid> -
namestring -
revisioninteger -
tasksarray[object]-
config -
created_atstring<date-time> -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_actorstring nullable -
scheduler_idstring<uuid> -
scheduler_revisioninteger -
sla_templateobject nullable-
idstring<uuid> -
namestring -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
-
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler' \
-H 'Authorization: Bearer <badge>'Response 200
{
"actor": "string",
"created_at": "2026-01-01T00:00:00Z",
"description": "string",
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"tasks": [
{
"config": {},
"created_at": "2026-01-01T00:00:00Z",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"schedule": {
"concurrency": 0,
"enabled": true,
"miss_strategy": "string",
"priority": 0,
"rules": [
{
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"jitter": 0,
"journalized": true,
"periodicity": 0,
"start": "2026-01-01T00:00:00Z"
}
]
},
"scheduler_actor": "string",
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"sla_template": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
},
"target": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
],
"updated_at": "2026-01-01T00:00:00Z"
}Create the personal scheduler of the caller
/api/v1/scheduling/scheduler
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
actorstring -
created_atstring<date-time> -
descriptionstring -
enabledboolean -
idstring<uuid> -
namestring -
revisioninteger -
tasksarray[object]-
config -
created_atstring<date-time> -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_actorstring nullable -
scheduler_idstring<uuid> -
scheduler_revisioninteger -
sla_templateobject nullable-
idstring<uuid> -
namestring -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
-
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time>
-
-
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/scheduling/scheduler' \
-H 'Authorization: Bearer <badge>'Response 200
{
"actor": "string",
"created_at": "2026-01-01T00:00:00Z",
"description": "string",
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"revision": 0,
"tasks": [
{
"config": {},
"created_at": "2026-01-01T00:00:00Z",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"schedule": {
"concurrency": 0,
"enabled": true,
"miss_strategy": "string",
"priority": 0,
"rules": [
{
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"jitter": 0,
"journalized": true,
"periodicity": 0,
"start": "2026-01-01T00:00:00Z"
}
]
},
"scheduler_actor": "string",
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"sla_template": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
},
"target": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
],
"updated_at": "2026-01-01T00:00:00Z"
}Delete the personal scheduler of the caller
/api/v1/scheduling/scheduler
Query parameters
-
actorstringOnly user is accepted.Allowed: user -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK
No response body.
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/scheduling/scheduler' \
-H 'Authorization: Bearer <badge>'Get the access control of a scheduler
/api/v1/scheduling/scheduler/access
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
can_executearray[string] -
can_ownarray[string] -
can_readarray[string] -
can_writearray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler/access' \
-H 'Authorization: Bearer <badge>'Response 200
{
"can_execute": [
"string"
],
"can_own": [
"string"
],
"can_read": [
"string"
],
"can_write": [
"string"
]
}Set the access control of a scheduler
/api/v1/scheduling/scheduler/access
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
assignmentsarray[object]-
group_idsarray[string<uuid>] required -
rolestring required
-
-
confirm_widenboolean
Response 200 OK application/json
-
can_executearray[string] -
can_ownarray[string] -
can_readarray[string] -
can_writearray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PUT 'https://pcp.example.com/api/v1/scheduling/scheduler/access' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"assignments": [
{
"group_ids": [
"3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
],
"role": "string"
}
],
"confirm_widen": true
}'Response 200
{
"can_execute": [
"string"
],
"can_own": [
"string"
],
"can_read": [
"string"
],
"can_write": [
"string"
]
}Cancel a job
/api/v1/scheduling/scheduler/jobs/cancel/{job_id}
Path parameters
-
job_idstring<uuid> requiredJob ID, as listed by GET /scheduling/jobs.
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/scheduling/scheduler/jobs/cancel/{job_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{}List the jobs around now
/api/v1/scheduling/scheduler/jobs/nearby
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
scheduler_idstring<uuid> -
scheduler_revisioninteger -
tasksarray[object]-
last_runobject nullable-
scheduled_atstring<date-time> -
scheduler_revisioninteger -
statusstring
-
-
last_successful_runobject nullable-
scheduled_atstring<date-time> -
scheduler_revisioninteger -
statusstring
-
-
next_runobject nullable-
scheduled_atstring<date-time> -
scheduler_revisioninteger -
statusstring
-
-
task_idstring<uuid>
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler/jobs/nearby' \
-H 'Authorization: Bearer <badge>'Response 200
{
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"tasks": [
{
"last_run": {
"scheduled_at": "2026-01-01T00:00:00Z",
"scheduler_revision": 0,
"status": "string"
},
"last_successful_run": {
"scheduled_at": "2026-01-01T00:00:00Z",
"scheduler_revision": 0,
"status": "string"
},
"next_run": {
"scheduled_at": "2026-01-01T00:00:00Z",
"scheduler_revision": 0,
"status": "string"
},
"task_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}
]
}List the planned jobs
/api/v1/scheduling/scheduler/jobs/planned
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
revisionintegerScheduler revision. 0 is the current one.Default: 0 -
t0string<date-time>Start of the window. Defaults to now. -
t1string<date-time>End of the window. -
countintegerMaximum number of jobs.Default: 100 Min: 1 Max: 100 -
task_idstring<uuid>Only this task. -
resource_idstring<uuid>Only tasks touching this connector. -
task_typestringOnly tasks of this type.Allowed: backup, sync, restore, check, prune, rm -
resource_typestringWhich side resource_id matches.Allowed: origin, target -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
jobsarray[object]-
schedule_atstring<date-time> -
schedule_idstring<uuid> -
task_idstring<uuid>
-
-
scheduler_idstring<uuid> -
scheduler_revisioninteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler/jobs/planned' \
-H 'Authorization: Bearer <badge>'Response 200
{
"jobs": [
{
"schedule_at": "2026-01-01T00:00:00Z",
"schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"task_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}
],
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0
}Export the job journal
/api/v1/scheduling/scheduler/journal
Query parameters
-
sincestring<date-time> requiredExport the jobs since this time. -
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 The jobs, as CSV text/csv
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler/journal' \
-H 'Authorization: Bearer <badge>'Get the roles of a scheduler
/api/v1/scheduling/scheduler/roles
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
can_executearray[string] -
can_ownarray[string] -
can_readarray[string] -
can_writearray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler/roles' \
-H 'Authorization: Bearer <badge>'Response 200
{
"can_execute": [
"string"
],
"can_own": [
"string"
],
"can_read": [
"string"
],
"can_write": [
"string"
]
}Set the roles of a scheduler
/api/v1/scheduling/scheduler/roles
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
can_executearray[string] -
can_ownarray[string] -
can_readarray[string] -
can_writearray[string]
Response 200 OK application/json
-
can_executearray[string] -
can_ownarray[string] -
can_readarray[string] -
can_writearray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PUT 'https://pcp.example.com/api/v1/scheduling/scheduler/roles' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"can_execute": [
"string"
],
"can_own": [
"string"
],
"can_read": [
"string"
],
"can_write": [
"string"
]
}'Response 200
{
"can_execute": [
"string"
],
"can_own": [
"string"
],
"can_read": [
"string"
],
"can_write": [
"string"
]
}Run a one-off task
/api/v1/scheduling/scheduler/run
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
configobject-
afterinteger nullableMax: 1.8446744073709552e+19 -
beforeinteger nullableMax: 1.8446744073709552e+19 -
dayinteger nullable -
execobject-
concurrencyinteger -
cpuinteger
-
-
formatstring nullable -
hooksobject-
post_jobstring nullable -
pre_jobstring nullable
-
-
hourinteger nullable -
ignoresarray[string] nullable -
labelsarray[string] nullable -
latestboolean nullable -
locateobject-
filtersobject-
beforestring<date-time> nullable -
categorystring nullable -
data_classesarray[string] nullable -
datasetstring nullable -
environmentstring nullable -
idsarray[string] nullable -
ignore_tagsarray[string] nullable -
jobstring nullable -
latestboolean nullable -
namestring nullable -
originsarray[string] nullable -
perimeterstring nullable -
rootsarray[string] nullable -
sincestring<date-time> nullable -
tagsarray[string] nullable -
typesarray[string] nullable
-
-
group_bystring nullable -
periodsobject-
dayobject-
capinteger nullable -
keepinteger nullable
-
-
fridayobject-
capinteger nullable -
keepinteger nullable
-
-
hourobject-
capinteger nullable -
keepinteger nullable
-
-
minuteobject-
capinteger nullable -
keepinteger nullable
-
-
mondayobject-
capinteger nullable -
keepinteger nullable
-
-
monthobject-
capinteger nullable -
keepinteger nullable
-
-
saturdayobject-
capinteger nullable -
keepinteger nullable
-
-
sundayobject-
capinteger nullable -
keepinteger nullable
-
-
thursdayobject-
capinteger nullable -
keepinteger nullable
-
-
tuesdayobject-
capinteger nullable -
keepinteger nullable
-
-
wednesdayobject-
capinteger nullable -
keepinteger nullable
-
-
weekobject-
capinteger nullable -
keepinteger nullable
-
-
yearobject-
capinteger nullable -
keepinteger nullable
-
-
-
-
minuteinteger nullable -
monthinteger nullable -
per_dayinteger nullable -
per_hourinteger nullable -
per_minuteinteger nullable -
per_monthinteger nullable -
per_weekinteger nullable -
per_yearinteger nullable -
rootstring nullable -
snapshot_idstring nullable -
snapshot_idsarray[string] nullable -
weekinteger nullable -
yearinteger nullable
-
-
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
origin_idstring<uuid> -
run_atstring<date-time> -
target_idstring<uuid> -
typestring
Response 200 OK application/json
-
idstring<uuid> -
jobobject nullable-
created_atstring<date-time> -
errorstring nullable -
idstring<uuid> -
schedule_atstring<date-time> -
schedule_idstring<uuid> -
started_atstring<date-time> nullable -
statusstring -
stopped_atstring<date-time> nullable -
taskobject-
config -
created_atstring<date-time> -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_actorstring nullable -
scheduler_idstring<uuid> -
scheduler_revisioninteger -
sla_templateobject nullable-
idstring<uuid> -
namestring -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
-
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time>
-
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/scheduling/scheduler/run' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"config": {
"after": 0,
"before": 0,
"day": 0,
"exec": {
"concurrency": 0,
"cpu": 0
},
"format": "string",
"hooks": {
"post_job": "string",
"pre_job": "string"
},
"hour": 0,
"ignores": [
"string"
],
"labels": [
"string"
],
"latest": true,
"locate": {
"filters": {
"before": "2026-01-01T00:00:00Z",
"category": "string",
"data_classes": [
"string"
],
"dataset": "string",
"environment": "string",
"ids": [
"string"
],
"ignore_tags": [
"string"
],
"job": "string",
"latest": true,
"name": "string",
"origins": [
"string"
],
"perimeter": "string",
"roots": [
"string"
],
"since": "2026-01-01T00:00:00Z",
"tags": [
"string"
],
"types": [
"string"
]
},
"group_by": "string",
"periods": {
"day": {
"cap": 0,
"keep": 0
},
"friday": {
"cap": 0,
"keep": 0
},
"hour": {
"cap": 0,
"keep": 0
},
"minute": {
"cap": 0,
"keep": 0
},
"monday": {
"cap": 0,
"keep": 0
},
"month": {
"cap": 0,
"keep": 0
},
"saturday": {
"cap": 0,
"keep": 0
},
"sunday": {
"cap": 0,
"keep": 0
},
"thursday": {
"cap": 0,
"keep": 0
},
"tuesday": {
"cap": 0,
"keep": 0
},
"wednesday": {
"cap": 0,
"keep": 0
},
"week": {
"cap": 0,
"keep": 0
},
"year": {
"cap": 0,
"keep": 0
}
}
},
"minute": 0,
"month": 0,
"per_day": 0,
"per_hour": 0,
"per_minute": 0,
"per_month": 0,
"per_week": 0,
"per_year": 0,
"root": "string",
"snapshot_id": "string",
"snapshot_ids": [
"string"
],
"week": 0,
"year": 0
},
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"origin_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"run_at": "2026-01-01T00:00:00Z",
"target_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"type": "string"
}'Response 200
{
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"job": {
"created_at": "2026-01-01T00:00:00Z",
"error": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"schedule_at": "2026-01-01T00:00:00Z",
"schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"started_at": "2026-01-01T00:00:00Z",
"status": "string",
"stopped_at": "2026-01-01T00:00:00Z",
"task": {
"config": {},
"created_at": "2026-01-01T00:00:00Z",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"schedule": {
"concurrency": 0,
"enabled": true,
"miss_strategy": "string",
"priority": 0,
"rules": [
{
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"jitter": 0,
"journalized": true,
"periodicity": 0,
"start": "2026-01-01T00:00:00Z"
}
]
},
"scheduler_actor": "string",
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"sla_template": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
},
"target": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
}
}Get a one-off task
/api/v1/scheduling/scheduler/run/{at_id}
Path parameters
-
at_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
idstring<uuid> -
jobobject nullable-
created_atstring<date-time> -
errorstring nullable -
idstring<uuid> -
schedule_atstring<date-time> -
schedule_idstring<uuid> -
started_atstring<date-time> nullable -
statusstring -
stopped_atstring<date-time> nullable -
taskobject-
config -
created_atstring<date-time> -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_actorstring nullable -
scheduler_idstring<uuid> -
scheduler_revisioninteger -
sla_templateobject nullable-
idstring<uuid> -
namestring -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
-
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time>
-
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler/run/{at_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"job": {
"created_at": "2026-01-01T00:00:00Z",
"error": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"schedule_at": "2026-01-01T00:00:00Z",
"schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"started_at": "2026-01-01T00:00:00Z",
"status": "string",
"stopped_at": "2026-01-01T00:00:00Z",
"task": {
"config": {},
"created_at": "2026-01-01T00:00:00Z",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"schedule": {
"concurrency": 0,
"enabled": true,
"miss_strategy": "string",
"priority": 0,
"rules": [
{
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"jitter": 0,
"journalized": true,
"periodicity": 0,
"start": "2026-01-01T00:00:00Z"
}
]
},
"scheduler_actor": "string",
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"sla_template": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
},
"target": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
}
}List the tasks of a scheduler
/api/v1/scheduling/scheduler/tasks
Query parameters
-
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 50 Min: 1 Max: 50 -
typearray[string]Only tasks of these types. -
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
itemsarray[object]-
config -
created_atstring<date-time> -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_actorstring nullable -
scheduler_idstring<uuid> -
scheduler_revisioninteger -
sla_templateobject nullable-
idstring<uuid> -
namestring -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
-
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time>
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/scheduling/scheduler/tasks' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"config": {},
"created_at": "2026-01-01T00:00:00Z",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"schedule": {
"concurrency": 0,
"enabled": true,
"miss_strategy": "string",
"priority": 0,
"rules": [
{
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"jitter": 0,
"journalized": true,
"periodicity": 0,
"start": "2026-01-01T00:00:00Z"
}
]
},
"scheduler_actor": "string",
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"sla_template": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"temporalities": {
"key": {
"created_at": "2026-01-01T00:00:00Z",
"frequency": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"replicas": {
"key": [
{
"created_at": "2026-01-01T00:00:00Z",
"from": 0,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"residency": "string",
"to": 0,
"updated_at": "2026-01-01T00:00:00Z"
}
]
},
"retention": 0,
"start_time": "2026-01-01T00:00:00Z",
"storage_tier": "string",
"store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}
}
},
"target": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"location": "string",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
],
"total": 0
}Add a task
/api/v1/scheduling/scheduler/tasks
Query parameters
-
actorstringScheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user: : the personal scheduler of another user; needs view access on schedulers. Default: "default" -
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
configobject-
afterinteger nullableMax: 1.8446744073709552e+19 -
beforeinteger nullableMax: 1.8446744073709552e+19 -
dayinteger nullable -
execobject-
concurrencyinteger -
cpuinteger
-
-
formatstring nullable -
hooksobject-
post_jobstring nullable -
pre_jobstring nullable
-
-
hourinteger nullable -
ignoresarray[string] nullable -
labelsarray[string] nullable -
latestboolean nullable -
locateobject-
filtersobject-
beforestring<date-time> nullable -
categorystring nullable -
data_classesarray[string] nullable -
datasetstring nullable -
environmentstring nullable -
idsarray[string] nullable -
ignore_tagsarray[string] nullable -
jobstring nullable -
latestboolean nullable -
namestring nullable -
originsarray[string] nullable -
perimeterstring nullable -
rootsarray[string] nullable -
sincestring<date-time> nullable -
tagsarray[string] nullable -
typesarray[string] nullable
-
-
group_bystring nullable -
periodsobject-
dayobject-
capinteger nullable -
keepinteger nullable
-
-
fridayobject-
capinteger nullable -
keepinteger nullable
-
-
hourobject-
capinteger nullable -
keepinteger nullable
-
-
minuteobject-
capinteger nullable -
keepinteger nullable
-
-
mondayobject-
capinteger nullable -
keepinteger nullable
-
-
monthobject-
capinteger nullable -
keepinteger nullable
-
-
saturdayobject-
capinteger nullable -
keepinteger nullable
-
-
sundayobject-
capinteger nullable -
keepinteger nullable
-
-
thursdayobject-
capinteger nullable -
keepinteger nullable
-
-
tuesdayobject-
capinteger nullable -
keepinteger nullable
-
-
wednesdayobject-
capinteger nullable -
keepinteger nullable
-
-
weekobject-
capinteger nullable -
keepinteger nullable
-
-
yearobject-
capinteger nullable -
keepinteger nullable
-
-
-
-
minuteinteger nullable -
monthinteger nullable -
per_dayinteger nullable -
per_hourinteger nullable -
per_minuteinteger nullable -
per_monthinteger nullable -
per_weekinteger nullable -
per_yearinteger nullable -
rootstring nullable -
snapshot_idstring nullable -
snapshot_idsarray[string] nullable -
weekinteger nullable -
yearinteger nullable
-
-
created_atstring<date-time> nullable -
descriptionstring -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
namestring -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
last_checkstring<date-time> nullable -
namestring -
protocolstring -
resource_idstring<uuid> -
revisioninteger -
rootstring -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_idstring<uuid> -
scheduler_revisioninteger nullable -
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
last_checkstring<date-time> nullable -
namestring -
protocolstring -
resource_idstring<uuid> -
revisioninteger -
rootstring -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time> nullable
Response 200 OK application/json
-
config -
created_atstring<date-time> -
edge_idstring<uuid> -
edge_tagsarray[string] nullable -
idstring<uuid> -
originobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
scheduleobject-
concurrencyinteger nullable -
enabledboolean -
miss_strategystring -
priorityinteger nullable -
rulesarray[object]-
enabledboolean -
idstring<uuid> -
jitterinteger nullableMax: 1.8446744073709552e+19 -
journalizedboolean nullable -
periodicityinteger nullableMax: 1.8446744073709552e+19 -
startstring<date-time> nullable
-
-
-
scheduler_actorstring nullable -
scheduler_idstring<uuid> -
scheduler_revisioninteger -
sla_templateobject nullable-
idstring<uuid> -
namestring -
temporalitiesmap[object] nullable-
created_atstring<date-time> -
frequencyinteger -
idstring<uuid> -
replicasmap[array[object]] nullable -
retentioninteger -
start_timestring<date-time> -
storage_tierstring nullable -
store_idstring<uuid> -
updated_atstring<date-time>
-
-
-
targetobject nullable-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
idstring<uuid> -
namestring -
residencystring nullable -
typestring
-
-
last_checkstring<date-time> nullable -
locationstring nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
typestring -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/scheduling/scheduler/tasks' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"config": {
"after": 0,
"before": 0,
"day": 0,
"exec": {
"concurrency": 0,
"cpu": 0
},
"format": "string",
"hooks": {
"post_job": "string",
"pre_job": "string"
},
"hour": 0,
"ignores": [
"string"
],
"labels": [
"string"
],
"latest": true,
"locate": {
"filters": {
"before": "2026-01-01T00:00:00Z",
"category": "string",
"data_classes": [
"string"
],
"dataset": "string",
"environment": "string",
"ids": [
"string"
],
"ignore_tags": [
"string"
],
"job": "string",
"latest": true,
"name": "string",
"origins": [
"string"
],
"perimeter": "string",
"roots": [
"string"
],
"since": "2026-01-01T00:00:00Z",
"tags": [
"string"
],
"types": [
"string"
]
},
"group_by": "string",
"periods": {
"day": {
"cap": 0,
"keep": 0
},
"friday": {
"cap": 0,
"keep": 0
},
"hour": {
"cap": 0,
"keep": 0
},
"minute": {
"cap": 0,
"keep": 0
},
"monday": {
"cap": 0,
"keep": 0
},
"month": {
"cap": 0,
"keep": 0
},
"saturday": {
"cap": 0,
"keep": 0
},
"sunday": {
"cap": 0,
"keep": 0
},
"thursday": {
"cap": 0,
"keep": 0
},
"tuesday": {
"cap": 0,
"keep": 0
},
"wednesday": {
"cap": 0,
"keep": 0
},
"week": {
"cap": 0,
"keep": 0
},
"year": {
"cap": 0,
"keep": 0
}
}
},
"minute": 0,
"month": 0,
"per_day": 0,
"per_hour": 0,
"per_minute": 0,
"per_month": 0,
"per_week": 0,
"per_year": 0,
"root": "string",
"snapshot_id": "string",
"snapshot_ids": [
"string"
],
"week": 0,
"year": 0
},
"created_at": "2026-01-01T00:00:00Z",
"description": "string",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"name": "string",
"protocol": "string",
"resource_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"revision": 0,
"root": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"schedule": {
"concurrency": 0,
"enabled": true,
"miss_strategy": "string",
"priority": 0,
"rules": [
{
"enabled": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"jitter": 0,
"journalized": true,
"periodicity": 0,
"start": "2026-01-01T00:00:00Z"
}
]
},
"scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"scheduler_revision": 0,
"target": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"name": "string",
"protocol": "string",
"resource_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"revision": 0,
"root": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
},
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}'Response 200
{
"config": {},
"created_at": "2026-01-01T00:00:00Z",
"edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"edge_tags": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"origin": {
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"residency": "string",
"type": "string"
},
[...]
